.upload {
	display: flex;
	padding: 6px 12px;
	cursor: pointer;
	width: 288px;
	height: 212px;

	align-items: center;
	justify-content: center;
	gap: 12px;

	input {
		display: none;
	}

	& img {
		max-width: 40px;
	}

	label {
		cursor: pointer;
	}
}

.addInfosContainer {
	display: flex;
	gap: 17px;

	.addInputs {
		display: flex;
		flex-direction: column;
		gap: 16px;
	}

	textarea {
		resize: none;
		flex: 1;
		min-width: 400px;
		padding: 18px;
	}

	input {
		height: 54px;
		padding: 15px;
		min-width: 300px;
		max-width: 350px;
	}
}

.addContainer {
	display: flex;
	gap: 18px;
	max-width: -moz-fit-content;
	max-width: fit-content;
	flex-direction: column;

	button {
		align-self: end;
	}
}

.addButton {
	color: var(--white);
	border-radius: 0.5rem;
	padding: 16px 20px;
	text-align: center;
	background: var(--primary-color);
	font-weight: 700;
	font-size: 16px;
	line-height: 150%;
}

.containerElement {
	display: flex;
	max-width: 600px;
	height: 212px;
	background-color: var(--white);
	border-radius: 0.25rem;
	overflow: hidden;
	box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.08);

	img {
		height: 100%;
		border-radius: 0.25rem;
		object-fit: cover;
		object-position: 50% 50%;
	}

	div {
		display: flex;
		padding: 24px;
		flex: 1;
		gap: 24px;
		flex-direction: column;
		text-overflow: ellipsis;
		overflow: auto;

		h2 {
			word-break: break-all;
			text-overflow: ellipsis;

			margin-bottom: 0.5rem;
			font-weight: 700;
			font-size: 24px;
			line-height: 28px;
			color: #333333;
		}

		p {
			word-break: break-all;
			line-height: 24px;
			color: var(--gray-500);
			align-self: flex-start;

			font-family: Roboto, sans-serif;
		}
	}

	&:hover {
		.deleteButton {
			width: 10%;
			height: 100%;
		}
	}
}

.error {
	border: 2px solid var(--primary-color);
}

.deleteButton {
	background-color: var(--primary-color);
	width: 0%;
	color: var(--white);
	font-weight: 500;
}
